<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Kategori extends CI_Controller {

	function __construct(){
		parent::__construct();
		if(!$this->session->userdata('login')){
			redirect('login');
		}
		$this->load->model('Kategori_model');
		$this->load->model('Peminjaman_model');
	}

	public function index(){
		$data['kategori']=$this->Kategori_model->get();
		$data['notif_count'] = $this->Peminjaman_model->count_notifikasi();
		$this->load->view('kategori/index',$data);
	}

	public function tambah(){
		$data=[
			'nama_kategori'=>$this->input->post('nama_kategori')
		];

		$this->Kategori_model->insert($data);
		redirect('kategori');
	}

	public function edit($id){
		$data['row']=$this->Kategori_model->edit($id);
		$this->load->view('kategori/edit',$data);
	}

	public function update(){
		$id=$this->input->post('id');

		$data=[
			'nama_kategori'=>$this->input->post('nama_kategori')
		];

		$this->Kategori_model->update($id,$data);
		redirect('kategori');
	}

	public function hapus($id){
		$this->Kategori_model->delete($id);
		redirect('kategori');
	}
	
}
